package dev.pfaff.altargui.async;

import dev.pfaff.altargui.util.TaskException;

record NonCancellableTask<V>(Task.Cancellable<V> task) implements Task<V> {
	@Override
	public V join() throws TaskException, InterruptedException {
		return this.task.join();
	}

	@Override
	public V joinUninterruptibly() throws TaskException {
		return this.task.joinUninterruptibly();
	}
}
