package dev.pfaff.altargui.libimage;

import java.lang.foreign.MemorySegment;

public record ImageData(int width, int height, ColorType colorType, MemorySegment pixels) {
	@Override
	public String toString() {
		return STR."""
			ImageData[width=\{Integer.toUnsignedString(width)},\
			 height=\{Integer.toUnsignedString(height)},\
			 colorType=\{colorType},\
			 pixels=\{pixels}]""";
	}
}
